## com.puppycrawl.tools.checkstyle.checks.javadoc
Class JavadocUtils

    java.lang.Object
      com.puppycrawl.tools.checkstyle.checks.javadoc.JavadocUtils

    public final class JavadocUtils

extends Object

Contains utility methods for working with Javadoc.

Author:
  Lyle Hanson

Nested Class Summary
`static class` `JavadocUtils.JavadocTagType` The type of Javadoc tag we want returned.

Method Summary
`static JavadocTags` `getJavadocTags(TextBlock aCmt, JavadocUtils.JavadocTagType aTagType)` Gets validTags from a given piece of Javadoc.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getJavadocTags

    public static JavadocTags getJavadocTags(TextBlock aCmt,
                                             JavadocUtils.JavadocTagType aTagType)

  Gets validTags from a given piece of Javadoc.

  Parameters:
    `aCmt` - the Javadoc comment to process.
    `aTagType` - the type of validTags we're interested in
  Returns:
    all standalone validTags from the given javadoc.

Copyright © 2001-2011. All Rights Reserved.